# SARPolarSynth

## Brief Description

Gives, for each pixel, the power that would have been received by a SAR system with a basis different from the classical (H,V) one (polarimetric synthetis).

## Tags

SAR

## Long Description

This application gives, for each pixel, the power that would have been received by a SAR system with a basis different from the classical (H,V) one (polarimetric synthetis). The new basis A and B are indicated through two Jones vectors, defined by the user thanks to orientation (psi) and ellipticity (khi) parameters. These parameters are namely psii, khii, psir and khir. The suffixes (i) and (r) refer to the transmitting antenna and the receiving antenna respectively. Orientations and ellipticities are given in degrees, and are between -90/90 degrees and -45/45 degrees respectively. Four polarization architectures can be processed : 1. HH_HV_VH_VV : full polarization, general bistatic case. 2. HH_HV_VV or HH_VH_VV : full polarization, monostatic case (transmitter and receiver are co-located). 3. HH_HV : dual polarization. 4. VH_VV : dual polarization. The application takes a complex vector image as input, where each band correspond to a particular emission/reception polarization scheme. User must comply with the band order given above, since the bands are used to build the Sinclair matrix. In order to determine the architecture, the application first relies on the number of bands of the input image. 1. Architecture HH_HV_VH_VV is the only one with four bands, there is no possible confusion. 2. Concerning HH_HV_VV and HH_VH_VV architectures, both correspond to a three channels image. But they are processed in the same way, as the Sinclair matrix is symmetric in the monostatic case. 3. Finally, the two last architectures (dual polarizations), can't be distinguished only by the number of bands of the input image. User must then use the parameters emissionh and emissionv to indicate the architecture of the system : emissionh=1 and emissionv=0 --> HH_HV, emissionh=0 and emissionv=1 --> VH_VV. Note : if the architecture is HH_HV, khii and psii are automatically both set to 0 degree; if the architecture is VH_VV, khii and psii are automatically set to 0 degree and 90 degrees respectively. It is also possible to force the calculation to co-polar or cross-polar modes. In the co-polar case, values for psir and khir will be ignored and forced to psii and khii; same as the cross-polar mode, where khir and psir will be forced to (psii + 90 degrees) and -khii. Finally, the result of the polarimetric synthetis is expressed in the power domain, through a one-band scalar image. Note: this application doesn't take into account the terms which do not depend on the polarization of the antennas. The parameter gain can be used for this purpose. More details can be found in the OTB CookBook (SAR processing chapter).

## Parameters

- [param] -in <string> Input image.. Mandatory: True. Default Value: ""
- [param] -out <string> Output image.. Mandatory: True. Default Value: ""
- [param] -psii <float> Orientation (transmitting antenna). Mandatory: True. Default Value: "0"
- [param] -khii <float> Ellipticity (transmitting antenna). Mandatory: True. Default Value: "0"
- [param] -psir <float> Orientation (receiving antenna). Mandatory: True. Default Value: "0"
- [param] -khir <float> Ellipticity (receiving antenna). Mandatory: True. Default Value: "0"
- [param] -emissionh <int32> This parameter is useful in determining the polarization architecture (dual polarization case).. Mandatory: False. Default Value: "0"
- [param] -emissionv <int32> This parameter is useful in determining the polarization architecture (dual polarization case).. Mandatory: False. Default Value: "0"
- [param] -ram <int32> Available memory for processing (in MB). Mandatory: False. Default Value: "128"
- [param] -inxml <string> Load otb application from xml file. Mandatory: False. Default Value: ""
- [param] -outxml <string> Save otb application to xml file. Mandatory: False. Default Value: ""
[choice] -mode none,co,cross. Mandatory: True. Default Value: "none"

- [group] -none

- [group] -co

- [group] -cross

## Limitations

None

## Authors

OTB-Team

## See Also

SARDecompositions, SARPolarMatrixConvert

## Example of use

- in: sar.tif

- psii: 15.

- khii: 5.

- psir: -25.

- khir: 10.

- out: newbasis.tif